import {ModelComponent} from "../ModelComponent";
import {ItemGroup} from "./ItemGroup";
import {ItemgroupCharacteristicValue} from "./ItemgroupCharacteristicValue";

export class Item extends ModelComponent {

  inheritedGroups: ItemGroup[] = []
  itemCharacteristics: ItemgroupCharacteristicValue[] = []

  addInheritedGroup(itemgroup: ItemGroup) {
    if(this.findItemgroupByName(itemgroup.componentName) == undefined) {
      this.inheritedGroups.push(itemgroup);
    }
  }

  findItemgroupByName(groupName: string) {
    return this.inheritedGroups.find(group => group.componentName === groupName);
  }
}
